###################################################
### chunk number 1: 
###################################################
library(optmatch)
data(nuclearplants)
nuclear.nopt <- nuclearplants[!nuclearplants$pt,]
row.names(nuclear.nopt)[as.logical(nuclear.nopt$pr)] <- LETTERS[1:7]
row.names(nuclear.nopt)[!as.logical(nuclear.nopt$pr)] <- LETTERS[8:26]
nuclear.nopt <- nuclear.nopt[order(row.names(nuclear.nopt)),]
attach(nuclear.nopt)

plant.dist <- round(
                  outer(rank(cap)[as.logical(pr)],
                        rank(cap)[!as.logical(pr)],
                        FUN=function(X,Y){abs(X-Y)}) +
                  outer(rank(date)[as.logical(pr)],
                        rank(date)[!as.logical(pr)],
                        FUN=function(X,Y){abs(X-Y)})
                    )

dimnames(plant.dist) <- list(LETTERS[1:7],LETTERS[8:26])
detach()


###################################################
### chunk number 2: 
###################################################
attach(nuclearplants)

plant.dist <- round(
                  abs( outer(rank(cap)[pr==1],rank(cap)[pr==0],"-") ) +
                  abs( outer(rank(date)[pr==1],rank(date)[pr==0],"-") ) 
                    )
dimnames(plant.dist) <- list(row.names(nuclearplants)[pr==1],
                             row.names(nuclearplants)[pr==0])
detach()

plant.dist


###################################################
### chunk number 3: 
###################################################
plant.dist.m <- mahal.dist(pr ~ cap + date, nuclearplants)
plant.dist.m


###################################################
### chunk number 4: 
###################################################
plants.fm <- fullmatch(plant.dist)


###################################################
### chunk number 5: 
###################################################
plants.fm


###################################################
### chunk number 6: 
###################################################
(plants.fm.m <- fullmatch(plant.dist.m))


###################################################
### chunk number 7: 
###################################################
head(nuclearplants)


###################################################
### chunk number 8: 
###################################################
attach(nuclearplants)
datediffs <- outer(date[pr==1], date[pr==0],"-")
( plant.dist <- plant.dist/(abs(datediffs)<3) )
plant.dist.m <- plant.dist.m/(abs(datediffs)<3)


###################################################
### chunk number 9: 
###################################################
(mincc <- minControlsCap(plant.dist))
maxControlsCap(plant.dist, min.controls=mincc$strictest.feasible)


###################################################
### chunk number 10: 
###################################################
(plants.fm2 <- fullmatch(plant.dist, omit.fraction=.5))
table(plants.fm2,ifelse(pr,'treated', 'control'))


###################################################
### chunk number 11: 
###################################################
stratumStructure(plants.fm)
table(plants.fm,ifelse(pr,'treated', 'control')) 


###################################################
### chunk number 12: 
###################################################
plants.fm1 <- fullmatch(plant.dist,min.controls=2, max.controls=3)
stratumStructure(plants.fm1)


###################################################
### chunk number 13: 
###################################################
unlist(matched.distances(plants.fm1, plant.dist))


###################################################
### chunk number 14: 
###################################################
matched.distances(plants.fm1, plant.dist, TRUE)


###################################################
### chunk number 15: 
###################################################
matched(plants.fm)
table(unmatched(plants.fm))


###################################################
### chunk number 16: 
###################################################
table(matched(plants.fm2))
table(unmatched(plants.fm2))


###################################################
### chunk number 17: 
###################################################
names(plants.fm2)[unmatched(plants.fm2)]


###################################################
### chunk number 18: 
###################################################
table(matchfailed(fullmatch(plant.dist,min.controls=5)))


###################################################
### chunk number 19: 
###################################################
table(matchfailed(plants.fm))
detach()


